Criar um cenário
curl --request POST \
--url https://{space}.{region}.api.niadra.com/v1/scenarios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"turn_ids": [
"<string>"
],
"assertions": [
{
"id": "<string>",
"args": {},
"suggested": false,
"turn_id": "<string>"
}
]
}
'import requests
url = "https://{space}.{region}.api.niadra.com/v1/scenarios"
payload = {
"name": "<string>",
"turn_ids": ["<string>"],
"assertions": [
{
"id": "<string>",
"args": {},
"suggested": False,
"turn_id": "<string>"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
turn_ids: ['<string>'],
assertions: [{id: '<string>', args: {}, suggested: false, turn_id: '<string>'}]
})
};
fetch('https://{space}.{region}.api.niadra.com/v1/scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assertions": [
{
"id": "<string>",
"kind": "tool_called",
"args": {},
"suggested": false,
"turn_id": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"origin": "manual",
"scenario_id": "<string>",
"status": "active",
"turn_ids": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"version": 123
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Registro de turnos e replay
Criar um cenário
Guarda até 50 turnos como cenário, com as asserções que eles devem continuar passando; sem asserções, as sugeridas por regra.
POST
/
v1
/
scenarios
Criar um cenário
Autorizações
sourceKeypersonToken
nia_sk_...
Cabeçalhos
Obrigatório. Guardado por 24 horas com o hash do corpo: a mesma chave com o mesmo corpo devolve a primeira resposta, e a mesma chave com outro corpo devolve 409 conflict.
Required string length:
1 - 256Corpo
application/json
Turnos guardados como cenário, com as asserções que eles precisam continuar passando; sem asserções, as sugeridas por regra a partir dos turnos.
Resposta
O cenário.
Show child attributes
Show child attributes
Opções disponíveis:
manual, report Required string length:
1 - 512Opções disponíveis:
active, retired Pattern:
^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$Cresce a cada mudança do nome, das asserções ou do status.

